Package org.apache.lucene.sandbox.facet.utils

# Class ComparableUtils.ByAggregatedValueComparable

java.lang.Object
org.apache.lucene.sandbox.facet.utils.ComparableUtils.ByAggregatedValueComparable

All Implemented Interfaces:
  `Comparable<ComparableUtils.ByAggregatedValueComparable>`

Enclosing class:
  `ComparableUtils`

public static class ComparableUtils.ByAggregatedValueComparable extends Object implements Comparable<ComparableUtils.ByAggregatedValueComparable>
Used for `ComparableUtils.byAggregatedValue(org.apache.lucene.sandbox.facet.recorders.CountFacetRecorder, org.apache.lucene.sandbox.facet.recorders.LongAggregationsFacetRecorder, int)` result.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ComparableUtils.ByAggregatedValueComparable o)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### compareTo

    public int compareTo(ComparableUtils.ByAggregatedValueComparable o)
    Specified by:
      `compareTo` in interface `Comparable<ComparableUtils.ByAggregatedValueComparable>`